@import "@/assets/styles/abstracts/mixins";
.popup{
    @include flex-container(center,center,column);
    
    padding: 3.2rem 2.4rem;
    border-radius: 2rem;
    box-shadow: $shadow;
    width: 38rem;
    background-color: #FAFAFA;
    z-index: 99;
    position: fixed;
    top: 50%;
    right: 50%;
    transform: translate(50%,-50%);
}
.popup__photos{
    @include flex-container(space-between,flex-start,column);
}
.photos__title{
   display: none;
   font-size: 1.8rem;
   font-weight: 600;
   margin-bottom: 1.5rem
}
.photos__content{
    @include flex-container(space-between,center,row);
}
.header__icon{
    display: none;
   
}
.popup__header{
    margin-bottom: 3.2rem;
}
.header__title{
    font-size: 1.8rem;
    font-weight: 700;
    margin-right: 1rem;
  
}
.popup--half{
    width: calc(50% - .4rem);
   

    
}


.popup__inputs{
    width: 100%;
  
    
    @include flex-container(space-between,center,row);
    flex-wrap: wrap;


}
.popup__btns{
    width: 100%;
  
    
    @include flex-container(space-between,center,row);
    flex-wrap: wrap;
    margin-top: 1rem ;


}

@include respond-to(medium-desktop){
    .popup{
        padding: 2.6rem 1.8rem;
        border-radius: 1.5rem;
        width: 29.5rem;
    }
    .header__title{
        font-size: 1.4rem;
        font-weight: 700;
        margin-bottom: 2.6rem;
    }
    .popup__btns{
        margin-top: .75rem ;
    
    }
}
@include respond-to(mobile){
    .popup{
        @include flex-container(flex-start,center,column);
        border-radius: 0;
        padding: 0 ;
        width: 100vw;
        height: 100vh;
    }
    .header__icon{
        display: inline-block;
    }
    .header__title{
        font-size: 2rem;
        font-weight: 700;
        padding: 1rem 0 ;
        margin-bottom: 4.2rem;
    }
    .popup__header{
        padding: 3rem  ;
        width: 100%;
        box-shadow: 0 0 15px 1px rgba(170, 170, 170, 0.768);
    }
    .photos__title{
        display: inline-block;
     }
    .popup__inputs,.popup__btns{
       
        padding:0 3.2rem ;
    }
    .popup__btns{
        margin-top: 32rem;
    }
    
}